Bug 58764 - cannot mount vfat partition
cannot mount vfat partition
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
high Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-24 00:14 EST by Andrew Schultz
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Schultz 2002-01-24 00:14:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.7+) Gecko/20020118

Description of problem:
I am attempting to mount my Win98 partition from Linux with kernel-2.4.9-13
(i686).  It claims that the partition is not a valid, but I can dual-boot to it
fine.  I ran Scandisk from Windows, and it found no errors.



Version-Release number of selected component (if applicable):
2.4.9-13 for i686.  installed from RedHat binary RPM

How reproducible:
Always

Steps to Reproduce:
1. modprobe vfat
2. mount -t vfat -o debug,ro /dev/hda1 /mnt/msdos
3. tail /var/log/messages
4. fdisk -l /dev/hda1
5. dosfsck /dev/hda1

Actual Results:
(modprobe)
(no errors)

(mount)
mount: wrong fs type, bad option, bad superblock on /dev/hda1,
       or too many mounted file systems

(/var/log/messages)
kernel: [MS-DOS FS Rel. 12,FAT32,check=n,conv=b,uid=0,gid=0,umask=022,bmap]
kernel:
[me=0xf8,cs=32,#f=2,fs=32,fl=8228,ds=16488,de=0,data=16488,se=0,ts=33720372,ls=512,rc=2,fc=53298]
kernel: hard sector size = 512
kernel: VFS: Can't find a valid FAT filesystem on dev 03:01.

(fdisk)
Disk /dev/hda: 255 heads, 63 sectors, 2100 cylinders
Units = cylinders of 16065 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/hda1   *         1      2099  16860186    c  Win95 FAT32 (LBA)

(dosfsck)
dosfsck 2.7, 14 Feb 2001, FAT32, LFN
Warning: Fat32 support is still ALPHA.
File system has 1053246 clusters but only space for 1053182 FAT entries


Expected Results:  /dev/hda1 is properly mounted as an msdos partition.

Additional info:

drive is a Maxtor.  grub is installed on the boot sector of /dev/hda
Comment 1 Andrew Schultz 2002-05-30 03:21:53 EDT
In an attempt to access my DOS partition, I used FIPS (The First nondestructive
Interactive Partition Splitting program) to break up the DOS partition.  It gave
me the following warning:

Partition table inconsistency
  FIPS has detected that the 'physical' start or end sector (head/cylinder/
  sector) do not match with the 'logical' start/end sector. This is not
  an error since the 'physical' values are redundant and not used anyway.
  There are many configurations where the values differ. This message is
  meant only to inform you that FIPS has adapted the 'physical' values
  according to the current drive geometry. So don't be alarmed by an unex-
  pected cylinder range.

and then proceeded to break up the partition.  It claimed that there was a file
at the end of the drive and so broke it up into a large partition and a small
one.  On running FIPS again, it did not give the warning.

I booted back into Linux, and like magic, I was able to mount the (now slightly
smaller) partition successfully.
Comment 2 Arjan van de Ven 2002-06-05 07:16:54 EDT
weird. very weird. ;(
Comment 3 Bugzilla owner 2004-09-30 11:39:20 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.